Bug 1125104 - php-fpm uses libsystemd-daemon.so instead of the new libsystemd.so
Summary: php-fpm uses libsystemd-daemon.so instead of the new libsystemd.so
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 04:12 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-07-31 09:01 UTC (History)
2 users (show)

Fixed In Version: php-5.6.0-0.5.RC3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 04:47:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
PHP Bug Tracker 67635 None None None Never

Description Zbigniew Jędrzejewski-Szmek 2014-07-31 04:12:54 UTC
Description of problem:
php-fpm uses '-lsystemd-daemon' but should switch to '-lsystemd'.
This causes it to require systemd-compat-libs, containing systemd libraries with historical names.

For longer explanation see http://www.spinics.net/lists/fedora-devel/msg200853.html.

Version-Release number of selected component (if applicable):
php-fpm-0:5.6.0-0.3.RC2.fc21.x86_64

Comment 1 Remi Collet 2014-07-31 04:47:29 UTC
This have be fixed upstream (67635) and will be part of next version (5.5.16 in f19/20, 5.6.0RC2 in f21+)

Comment 2 Remi Collet 2014-07-31 09:01:30 UTC
Package: php-5.6.0-0.5.RC3.fc22
Tag: f22
Status: complete

Package: php-5.6.0-0.5.RC3.fc21
Tag: f21
Status: complete


Note You need to log in before you can comment on or make changes to this bug.